# Record TCefSSLStatus

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefSSLStatus = record`

## Description

Structure representing the SSL information for a navigation entry.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSSLStatus.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_status_capi.h">CEF source file: /include/capi/cef_ssl_status_capi.h (cef_sslstatus_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_secure_connection: function(self: PCefSSLStatus): integer; stdcall;`
| `get_cert_status: function(self: PCefSSLStatus): TCefCertStatus; stdcall;`
| `get_sslversion: function(self: PCefSSLStatus): TCefSSLVersion; stdcall;`
| `get_content_status: function(self: PCefSSLStatus): TCefSSLContentStatus; stdcall;`
| `get_x509_certificate: function(self: PCefSSLStatus): PCefX509Certificate; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_secure_connection: function(self: PCefSSLStatus): integer; stdcall;`
This item has no description.

| `get_cert_status: function(self: PCefSSLStatus): TCefCertStatus; stdcall;`
This item has no description.

| `get_sslversion: function(self: PCefSSLStatus): TCefSSLVersion; stdcall;`
This item has no description.

| `get_content_status: function(self: PCefSSLStatus): TCefSSLContentStatus; stdcall;`
This item has no description.

| `get_x509_certificate: function(self: PCefSSLStatus): PCefX509Certificate; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.